Page MenuHomePhabricator

aflunsupportednamespace error in API query
Closed, ResolvedPublic

Description

https://meta.wikimedia.org/w/api.php?action=query&list=abuselog

Gives:

{
    "servedby": "mw1203",
    "error": {
        "code": "aflunsupportednamespace",
        "info": "Pages in the Special namespace can't be edited",
        "*": "See https://meta.wikimedia.org/w/api.php for API usage"
    }
}

Strangely I could run the query this query some days ago without problems. I'm not trying to edit the AbuseLog, just lists its results, so all this error messages look weird to me.

Event Timeline

MarcoAurelio raised the priority of this task from to Needs Triage.
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio added a project: MediaWiki-API.
MarcoAurelio added a subscriber: MarcoAurelio.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 16 2015, 5:28 PM
Krenair added a subscriber: Krenair.
Anomie added a subscriber: Anomie.Apr 16 2015, 6:01 PM

This is likely due to Gerrit change 201678 changing the dummy title from "API" to Special:BadTitle, and AbuseFilter was using that dummy title for some sort of edit.

TTO raised the priority of this task from Normal to High.Apr 17 2015, 12:15 PM
TTO added a subscriber: Dr_Brains.
TTO added a subscriber: TTO.

I notice that SpecialAbuseLog passes array( 'ns-specialprotected' ) as ignoreErrors to getUserPermissionsErrors, but ApiQueryAbuseLog doesn't

Change 204780 had a related patch set uploaded (by Alex Monk):
Use same getUserPermissionsErrors check in ApiQueryAbuseLog as SpecialAbuseLog

https://gerrit.wikimedia.org/r/204780

Change 204780 merged by jenkins-bot:
Use same getUserPermissionsErrors check in ApiQueryAbuseLog as SpecialAbuseLog

https://gerrit.wikimedia.org/r/204780

Krenair closed this task as Resolved.Apr 20 2015, 5:42 PM
Krenair claimed this task.
Krenair removed a project: Patch-For-Review.

Change 205294 had a related patch set uploaded (by Alex Monk):
Use same getUserPermissionsErrors check in ApiQueryAbuseLog as SpecialAbuseLog

https://gerrit.wikimedia.org/r/205294

Change 205295 had a related patch set uploaded (by Alex Monk):
Use same getUserPermissionsErrors check in ApiQueryAbuseLog as SpecialAbuseLog

https://gerrit.wikimedia.org/r/205295

Change 205294 merged by jenkins-bot:
Use same getUserPermissionsErrors check in ApiQueryAbuseLog as SpecialAbuseLog

https://gerrit.wikimedia.org/r/205294

Change 205295 merged by jenkins-bot:
Use same getUserPermissionsErrors check in ApiQueryAbuseLog as SpecialAbuseLog

https://gerrit.wikimedia.org/r/205295

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptOct 13 2015, 4:54 PM